View Issue Details

IDCategoryLast Update
0008490bugs2021-02-16 11:12
ReportermikefailleAssigned Topaul 
Reproducibilityalways 
Status assignedResolutionopen 
PlatformUbuntuOSLinuxOS Version(any)
Product Version6.5 
Fixed in Version 
Summary0008490: I can’t stop Ardour playback from the internal clock
DescriptionHi

I use Ardour 6.5 and it seems I can’t stop Ardour playback from the internal clock.

It happens after few try to play/record/stop.

The play button at the end finish to be jammed and I can’t press top to deactivate playback.

To dejam the play button pressed, I must save my session and restart Ardour.

Thank you for you help !

Thanks,
Michael

PS: My first language is french
Steps To ReproduceI don’t see any bad transition message in log window.

Here, I figure out how to reproduce it.
0. I configure a custom control surface (check at the end of this message)

    I must add a midi track.
    I configure my Akai mkp261 as midi controler
    I press play then right after I press “Go to start of session”
    It’s on play mode and if I press stop, it doesn’t work.


<!-- Contributed by GMaq, thanks to all other map contributors for the hints... :) -->

<!-- MMC Transport buttons seem to 'just work' -->

<!-- Faders mapped to Ardour Faders - Control Bank A -->

  <Binding channel="1" ctl="20" uri="/route/gain 1"/>
  <Binding channel="1" ctl="21" uri="/route/gain 2"/>
  <Binding channel="1" ctl="22" uri="/route/gain 3"/>
  <Binding channel="1" ctl="23" uri="/route/gain 4"/>
  <Binding channel="1" ctl="24" uri="/route/gain 5"/>
  <Binding channel="1" ctl="25" uri="/route/gain 6"/>
  <Binding channel="1" ctl="26" uri="/route/gain 7"/>
  <Binding channel="1" ctl="27" uri="/route/gain 8"/>

<!-- Faders mapped to Ardour Faders - Control Bank B -->

  <Binding channel="1" ctl="61" uri="/route/gain 9"/>
  <Binding channel="1" ctl="62" uri="/route/gain 10"/>
  <Binding channel="1" ctl="63" uri="/route/gain 11"/>
  <Binding channel="1" ctl="70" uri="/route/gain 12"/>
  <Binding channel="1" ctl="71" uri="/route/gain 13"/>
  <Binding channel="1" ctl="72" uri="/route/gain 14"/>
  <Binding channel="1" ctl="73" uri="/route/gain 15"/>
  <Binding channel="1" ctl="74" uri="/route/gain 16"/>

<!-- Faders mapped to Ardour Faders - Control Bank C -->

  <Binding channel="1" ctl="92" uri="/route/gain 17"/>
  <Binding channel="1" ctl="93" uri="/route/gain 18"/>
  <Binding channel="1" ctl="94" uri="/route/gain 19"/>
  <Binding channel="1" ctl="95" uri="/route/gain 20"/>
  <Binding channel="1" ctl="102" uri="/route/gain 21"/>
  <Binding channel="1" ctl="103" uri="/route/gain 22"/>
  <Binding channel="1" ctl="104" uri="/route/gain 23"/>

<!-- Last Fader Binding On Control Bank C reserved for Master Bus -->
  <Binding channel="1" ctl="105" uri="/bus/gain master"/>

<!-- Encoder Knob bindings to Pan Direction -->


<!-- Encoder Knobs mapped to Track Pan Direction - Control Bank A -->

  <Binding channel="1" ctl="3" uri="/route/pandirection 1"/>
  <Binding channel="1" ctl="9" uri="/route/pandirection 2"/>
  <Binding channel="1" ctl="14" uri="/route/pandirection 3"/>
  <Binding channel="1" ctl="15" uri="/route/pandirection 4"/>
  <Binding channel="1" ctl="16" uri="/route/pandirection 5"/>
  <Binding channel="1" ctl="17" uri="/route/pandirection 6"/>
  <Binding channel="1" ctl="18" uri="/route/pandirection 7"/>
  <Binding channel="1" ctl="19" uri="/route/pandirection 8"/>

<!-- Encoder Knobs mapped to Track Pan Direction - Control Bank B -->

  <Binding channel="1" ctl="52" uri="/route/pandirection 9"/>
  <Binding channel="1" ctl="53" uri="/route/pandirection 10"/>
  <Binding channel="1" ctl="54" uri="/route/pandirection 11"/>
  <Binding channel="1" ctl="55" uri="/route/pandirection 12"/>
  <Binding channel="1" ctl="57" uri="/route/pandirection 13"/>
  <Binding channel="1" ctl="58" uri="/route/pandirection 14"/>
  <Binding channel="1" ctl="59" uri="/route/pandirection 15"/>
  <Binding channel="1" ctl="60" uri="/route/pandirection 16"/>

<!-- Encoder Knobs mapped to Track Pan Direction - Control Bank C -->

  <Binding channel="1" ctl="83" uri="/route/pandirection 17"/>
  <Binding channel="1" ctl="85" uri="/route/pandirection 18"/>
  <Binding channel="1" ctl="86" uri="/route/pandirection 19"/>
  <Binding channel="1" ctl="87" uri="/route/pandirection 20"/>
  <Binding channel="1" ctl="88" uri="/route/pandirection 21"/>
  <Binding channel="1" ctl="89" uri="/route/pandirection 22"/>
  <Binding channel="1" ctl="90" uri="/route/pandirection 23"/>

<!-- Last Encoder Knob Binding On Control Bank C reserved for Master Bus -->
<!-- *Note Pan Direction doesn't work on Master Bus, mapped anyway for consistency -->

  <Binding channel="1" ctl="91" uri="/bus/pandirection master"/>


<!-- MPK61 Solo Buttons mapped to Ardour track Solo -->

<!-- MPK61 Solo Buttons mapped to Ardour track Solo - Control Bank A -->


  <Binding channel="1" ctl="28" uri="/route/solo 1"/>
  <Binding channel="1" ctl="29" uri="/route/solo 2"/>
  <Binding channel="1" ctl="30" uri="/route/solo 3"/>
  <Binding channel="1" ctl="31" uri="/route/solo 4"/>
  <Binding channel="1" ctl="35" uri="/route/solo 5"/>
  <Binding channel="1" ctl="41" uri="/route/solo 6"/>
  <Binding channel="1" ctl="46" uri="/route/solo 7"/>
  <Binding channel="1" ctl="47" uri="/route/solo 8"/>

<!-- MPK61 Solo Buttons mapped to Ardour track Solo - Control Bank B -->


  <Binding channel="1" ctl="75" uri="/route/solo 9"/>
  <Binding channel="1" ctl="76" uri="/route/solo 10"/>
  <Binding channel="1" ctl="77" uri="/route/solo 11"/>
  <Binding channel="1" ctl="78" uri="/route/solo 12"/>
  <Binding channel="1" ctl="79" uri="/route/solo 13"/>
  <Binding channel="1" ctl="80" uri="/route/solo 14"/>
  <Binding channel="1" ctl="81" uri="/route/solo 15"/>
  <Binding channel="1" ctl="82" uri="/route/solo 16"/>

<!-- MPK61 Solo Buttons mapped to Ardour track Solo - Control Bank C -->


  <Binding channel="1" ctl="106" uri="/route/solo 17"/>
  <Binding channel="1" ctl="107" uri="/route/solo 18"/>
  <Binding channel="1" ctl="108" uri="/route/solo 19"/>
  <Binding channel="1" ctl="109" uri="/route/solo 20"/>
  <Binding channel="1" ctl="110" uri="/route/solo 21"/>
  <Binding channel="1" ctl="111" uri="/route/solo 22"/>
  <Binding channel="1" ctl="112" uri="/route/solo 23"/>

<!-- Last Button Binding On Control Bank C reserved for Master Bus -->
<!-- This binding will mute the Master Bus since it has no Solo Function -->

  <Binding channel="1" ctl="113" uri="/bus/mute master"/>

  <!-- Set basic transport controls -->
  <Binding channel="1" ctl="115" function="transport-start" momentary="yes"/>
  <Binding channel="1" ctl="116" function="transport-end" momentary="yes"/>
  <Binding channel="1" ctl="117" function="transport-stop" momentary="yes"/>
  <Binding channel="1" ctl="118" function="transport-roll" momentary="yes"/>
  <Binding channel="1" ctl="119" action="Transport/Record" momentary="yes"/>
  <Binding channel="1" ctl="114" function="loop-toggle" momentary="yes"/>

</ArdourMIDIBindings>
Additional InformationI found a way to fix it. When I press play but after I use the midi function transport-start I can’t press stop (the stop button don’t work). I can’t even use this function in lua : Session:request_transport_speed (0.0, true, ARDOUR.TransportRequestSource.TRS_UI) to stop the transport. But, if I change the transport speed to something else than 0 and after I press stop in the UI, the transport is stopped !

Using LUA, to stop the transport when the “stop” button in the UI is jammed :
1- Change the speed (I can also use the shuttle speed control button)
Session:request_transport_speed (0.5, true, ARDOUR.TransportRequestSource.TRS_UI)

2- Now, stop the transport.
Session:request_transport_speed (0.0, true, ARDOUR.TransportRequestSource.TRS_UI
TagsNo tags attached.

Relationships

has duplicate 0008521 newpaul Can't stop playing after pressing "Got to start of session" 

Activities

x42

2020-12-08 14:58

administrator   ~0025294

Could the issue be a feedback loop with the MIDI controller?

Does it also happen if you disable Preferences > Control Surface > Generic MIDI?

MikeRodd75

2020-12-08 19:30

reporter   ~0025295

I'm having the same issue, for me it happens when
- internal synchro on, I can play & stop
- switch to jack transport :I can play stop, but i can't use play again, the int/jack start to blink
- swith back to internal synchro, it's playing and I can't stop anymore

mikefaille

2020-12-09 07:55

reporter   ~0025296

@X42, as you can see in my screenshot and as you asked, I correctly configured my midi controller trough jack and I have still the issue as described by me in this ticket.

Screenshot from 2020-12-09 02-54-20.png (591,883 bytes)

x42

2020-12-10 00:40

administrator   ~0025299

I'd like to establish if this bug is caused by the control surface. ie does it only happen if it is enabled?

mikefaille

2020-12-10 09:55

reporter   ~0025300

@x42 finally, I'm able to reproduce the issue with only :
- the demo version v6.5
- without any control surface checked

To reproduce it :
1. press play
2. press go to start of session button
3. press stop (but it doesn't work)

I can film it if it's needed as proof.

martin9845

2020-12-13 04:44

reporter   ~0025302

I'm having the same issue. Transport works fine with Internal Synch - but after a short while, the transport doesn't respond to stop anymore.

Nudging the shuttle-speed restores correct behaviour. I am using the official v6.5 .run package (under Ubuntu 20.04) and no external control surfaces.

rozea

2020-12-16 13:47

reporter   ~0025322

Same sort of problems here. Playback set to 'int', can't stop playhead.
When set to 'JACK', there seems to be a delay of several seconds (I count 10) before it starts playing

Debian testing

$ git show
commit bbc54873aebeecf10571540963a6fdebebc36ab6 (HEAD -> master, origin/master, origin/HEAD)

ocate to 623616 took 1111 usecs for 3 tracks = 370 per track
locate to 623616 took 1267 usecs for 3 tracks = 422 per track
locate to 623360 took 1193 usecs for 3 tracks = 398 per track
locate to 623616 took 1103 usecs for 3 tracks = 368 per track
locate to 623616 took 1008 usecs for 3 tracks = 336 per track
locate to 623616 took 1107 usecs for 3 tracks = 369 per track

plimptm

2020-12-17 14:41

reporter   ~0025328

I'm having the same problem here, version 6.5 on Ubuntu 20.04.

mikefaille's script did work for me as a temporary fix.

ardourwlk

2021-01-13 15:04

reporter   ~0025414

Hi, I have a similar problem, if you need additional testers. I'm using 6.5 on Ubuntu 20.04. I am trying out the sfizz plugins (0.3.2... 0.5.1 gui breaks), so I have two regions with sfizz and Virtual Playing Orchestra, and bit of midi, and in the example attached, I "go to start", play, then hit "go to start" again, and then it won't stop playback. I shutdown Ardour to stop.

ardour_debug_out.20210113.0957.txt (12,869 bytes)
aaron1@Parker:~/.lv2$ /opt/Ardour-6.5.0/bin/ardour6 --gdb
GNU gdb (Ubuntu 9.2-0ubuntu1~20.04) 9.2
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /opt/Ardour-6.5.0/bin/ardour-6.5.0...
(No debugging symbols found in /opt/Ardour-6.5.0/bin/ardour-6.5.0)
(gdb) handle SIG32 noprint nostop
Signal        Stop	Print	Pass to program	Description
SIG32         No	No	Yes		Real-time event 32
(gdb) run
Starting program: /opt/Ardour-6.5.0/bin/ardour-6.5.0 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Ardour6.5.0 (built using 6.5 and GCC version 6.3.0 20170516)
Ardour: [INFO]: Your system is configured to limit Ardour to 1048576 open files
Ardour: [INFO]: Loading system configuration file /opt/Ardour-6.5.0/etc/system_config
Ardour: [INFO]: Loading user configuration file /home/aaron1/.config/ardour6/config
[New Thread 0x7fffe9ba9700 (LWP 10185)]
Ardour: [INFO]: CPU vendor: AuthenticAMD
Ardour: [INFO]: AVX-capable processor
Ardour: [INFO]: CPU brand: AMD A8-6410 APU with AMD Radeon R5 Graphics    
Ardour: [INFO]: Using AVX optimized routines
[New Thread 0x7fffe93a8700 (LWP 10186)]
[New Thread 0x7fffe8ba7700 (LWP 10187)]
[New Thread 0x7fffdbfff700 (LWP 10188)]
Ardour: [INFO]: Loading plugin meta data file /opt/Ardour-6.5.0/share/plugin_metadata/plugin_tags
Ardour: [INFO]: Loading plugin statistics file /home/aaron1/.config/ardour6/plugin_metadata/plugin_stats
[New Thread 0x7fffdaa29700 (LWP 10189)]
[Thread 0x7fffdaa29700 (LWP 10189) exited]
[New Thread 0x7fffdaa29700 (LWP 10190)]
[New Thread 0x7fffd3fff700 (LWP 10191)]
[New Thread 0x7fffd2923700 (LWP 10192)]
Cannot xinstall SIGPIPE error handler
Ardour: [INFO]: Loading default ui configuration file /opt/Ardour-6.5.0/etc/default_ui_config
Ardour: [INFO]: Loading user ui configuration file /home/aaron1/.config/ardour6/ui_config
Ardour: [INFO]: Loading 449 MIDI patches from /opt/Ardour-6.5.0/share/patchfiles
Ardour: [INFO]: Loading color file /opt/Ardour-6.5.0/share/themes/dark-ardour.colors
Ardour: [INFO]: Loading ui configuration file /opt/Ardour-6.5.0/etc/clearlooks.rc
Ardour: [INFO]: Loading bindings from /opt/Ardour-6.5.0/etc/ardour.keys
Loading ui configuration file /opt/Ardour-6.5.0/etc/clearlooks.rc
[New Thread 0x7fffd1e3d700 (LWP 10193)]
[New Thread 0x7fffd1dbc700 (LWP 10194)]
[Thread 0x7fffd1dbc700 (LWP 10194) exited]
[New Thread 0x7fffd1567700 (LWP 10195)]
[New Thread 0x7fffd13a2700 (LWP 10196)]
[Thread 0x7fffd13a2700 (LWP 10196) exited]
[Thread 0x7fffd1567700 (LWP 10195) exited]
[New Thread 0x7fffd1567700 (LWP 10197)]
[New Thread 0x7fffd13a2700 (LWP 10198)]
[Thread 0x7fffd13a2700 (LWP 10198) exited]
[Thread 0x7fffd1567700 (LWP 10197) exited]
[New Thread 0x7fffd1dbc700 (LWP 10199)]
[New Thread 0x7fffd0f41700 (LWP 10200)]
[New Thread 0x7fffbbfff700 (LWP 10201)]
[New Thread 0x7fffb3fff700 (LWP 10202)]
[New Thread 0x7fffbb7fe700 (LWP 10203)]
[New Thread 0x7fffbaffd700 (LWP 10204)]
[New Thread 0x7fffba7fc700 (LWP 10205)]
[New Thread 0x7fffb9ffb700 (LWP 10206)]
[Thread 0x7fffb9ffb700 (LWP 10206) exited]
[Thread 0x7fffba7fc700 (LWP 10205) exited]
[Thread 0x7fffbaffd700 (LWP 10204) exited]
[Thread 0x7fffbb7fe700 (LWP 10203) exited]
[Thread 0x7fffb3fff700 (LWP 10202) exited]
[Thread 0x7fffd0f41700 (LWP 10200) exited]
[Thread 0x7fffd1e3d700 (LWP 10193) exited]
[Thread 0x7fffd2923700 (LWP 10192) exited]
[New Thread 0x7fffd1567700 (LWP 10207)]
[New Thread 0x7fffd04d1700 (LWP 10208)]
[New Thread 0x7fffd0450700 (LWP 10209)]
[New Thread 0x7fffba7fc700 (LWP 10210)]
[Thread 0x7fffba7fc700 (LWP 10210) exited]
lilv_world_load_bundle(): warning: Ignoring bundle <file:///home/aaron1/.lv2/avldrums.lv2.20180606/>
lilv_world_load_bundle(): note: Newer version of <http://gareus.org/oss/lv2/avldrums#BlackPearl> loaded from <file:///home/aaron1/.lv2/avldrums.lv2/>
lilv_world_add_plugin(): warning: Duplicate plugin <https://www.auburnsounds.com/products/Graillon.html40733132#in1out2>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/graillon.lv2/
lilv_world_add_plugin(): warning: ... and      file:///home/aaron1/.lv2/graillon.lv2.v24.20210105/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <https://www.auburnsounds.com/products/Graillon.html40733132#in2out1>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/graillon.lv2/
lilv_world_add_plugin(): warning: ... and      file:///home/aaron1/.lv2/graillon.lv2.v24.20210105/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <https://www.auburnsounds.com/products/Graillon.html40733132#mono>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/graillon.lv2/
lilv_world_add_plugin(): warning: ... and      file:///home/aaron1/.lv2/graillon.lv2.v24.20210105/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <https://www.auburnsounds.com/products/Graillon.html40733132#stereo>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/graillon.lv2/
lilv_world_add_plugin(): warning: ... and      file:///home/aaron1/.lv2/graillon.lv2.v24.20210105/ (ignored)
lilv_world_load_bundle(): warning: Ignoring bundle <file:///usr/lib/lv2/avldrums.lv2/>
lilv_world_load_bundle(): note: Newer version of <http://gareus.org/oss/lv2/avldrums#BlackPearl> loaded from <file:///home/aaron1/.lv2/avldrums.lv2/>
lilv_world_add_plugin(): warning: Duplicate plugin <http://drumgizmo.org/lv2>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/drumgizmo.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/drumgizmo.lv2/ (ignored)
error: failed to open file /home/aaron1/.lv2/vocproc.lv2/vocproc.ttl (No such file or directory)
lilv_world_add_plugin(): warning: Duplicate plugin <http://hyperglitch.com/dev/VocProc>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/vocproc.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/vocproc.lv2/ (ignored)
Scanning folders for bundled LV2s: /opt/Ardour-6.5.0/lib/LV2
lilv_world_load_bundle(): warning: Ignoring bundle <file:///home/aaron1/.lv2/avldrums.lv2.20180606/>
lilv_world_load_bundle(): note: Newer version of <http://gareus.org/oss/lv2/avldrums#BlackPearl> loaded from <file:///home/aaron1/.lv2/avldrums.lv2/>
lilv_world_add_plugin(): warning: Duplicate plugin <https://www.auburnsounds.com/products/Graillon.html40733132#in1out2>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/graillon.lv2/
lilv_world_add_plugin(): warning: ... and      file:///home/aaron1/.lv2/graillon.lv2.v24.20210105/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <https://www.auburnsounds.com/products/Graillon.html40733132#in2out1>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/graillon.lv2/
lilv_world_add_plugin(): warning: ... and      file:///home/aaron1/.lv2/graillon.lv2.v24.20210105/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <https://www.auburnsounds.com/products/Graillon.html40733132#mono>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/graillon.lv2/
lilv_world_add_plugin(): warning: ... and      file:///home/aaron1/.lv2/graillon.lv2.v24.20210105/ (ignored)
lilv_world_add_plugin(): warning: Duplicate plugin <https://www.auburnsounds.com/products/Graillon.html40733132#stereo>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/graillon.lv2/
lilv_world_add_plugin(): warning: ... and      file:///home/aaron1/.lv2/graillon.lv2.v24.20210105/ (ignored)
lilv_world_load_bundle(): warning: Ignoring bundle <file:///usr/lib/lv2/avldrums.lv2/>
lilv_world_load_bundle(): note: Newer version of <http://gareus.org/oss/lv2/avldrums#BlackPearl> loaded from <file:///home/aaron1/.lv2/avldrums.lv2/>
lilv_world_add_plugin(): warning: Duplicate plugin <http://drumgizmo.org/lv2>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/drumgizmo.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/drumgizmo.lv2/ (ignored)
error: failed to open file /home/aaron1/.lv2/vocproc.lv2/vocproc.ttl (No such file or directory)
lilv_world_add_plugin(): warning: Duplicate plugin <http://hyperglitch.com/dev/VocProc>
lilv_world_add_plugin(): warning: ... found in file:///home/aaron1/.lv2/vocproc.lv2/
lilv_world_add_plugin(): warning: ... and      file:///usr/lib/lv2/vocproc.lv2/ (ignored)
error: failed to open file /home/aaron1/.lv2/vocproc.lv2/vocproc.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///home/aaron1/.lv2/vocproc.lv2/vocproc.ttl'
lilv_plugin_get_name(): warning: Plugin <http://hyperglitch.com/dev/VocProc> has no (mandatory) doap:name
[New Thread 0x7fffba7fc700 (LWP 10211)]
[New Thread 0x7fffd0f41700 (LWP 10212)]
[New Thread 0x7fffb9ffb700 (LWP 10213)]
[Detaching after vfork from child process 10214]
[New Thread 0x7fffbaffd700 (LWP 10215)]
[Thread 0x7fffbaffd700 (LWP 10215) exited]
[Thread 0x7fffbbfff700 (LWP 10201) exited]
[Thread 0x7fffba7fc700 (LWP 10211) exited]
[Thread 0x7fffd0f41700 (LWP 10212) exited]
[Detaching after vfork from child process 10216]
[New Thread 0x7fffbaffd700 (LWP 10217)]
[Thread 0x7fffbaffd700 (LWP 10217) exited]
Set cursor set to default
 loading from /home/aaron1/ArdourSessions/20211010.1928.vpo.test as 20211010.1928.vpo.test templ  is_new 0 bp 0
[New Thread 0x7fffd1408900 (LWP 10218)]
[New Thread 0x7fffd136b900 (LWP 10219)]
[New Thread 0x7fffd135f900 (LWP 10220)]
[New Thread 0x7fffd034a700 (LWP 10221)]
[New Thread 0x7fffd02c9700 (LWP 10222)]
[New Thread 0x7fffd0248700 (LWP 10223)]
[New Thread 0x7fffd0170700 (LWP 10224)]
[New Thread 0x7fffbaffd700 (LWP 10225)]
[New Thread 0x7fffd0f41700 (LWP 10226)]
[New Thread 0x7fffba7fc700 (LWP 10227)]
[New Thread 0x7fffbbfff700 (LWP 10228)]
[New Thread 0x7fffb3fff700 (LWP 10229)]
[New Thread 0x7fffb37fe700 (LWP 10230)]
[New Thread 0x7fffb2ffd700 (LWP 10231)]
[New Thread 0x7fffb27fc700 (LWP 10232)]
[New Thread 0x7fffb1ffb700 (LWP 10233)]
[New Thread 0x7fffb17fa700 (LWP 10234)]
[New Thread 0x7fffb0ff9700 (LWP 10235)]
[New Thread 0x7fff8f187700 (LWP 10236)]
[New Thread 0x7fff8e986700 (LWP 10237)]
[New Thread 0x7fff8e185700 (LWP 10238)]
[New Thread 0x7fff8d984700 (LWP 10239)]
[New Thread 0x7fff8d183700 (LWP 10240)]
[New Thread 0x7fff8c982700 (LWP 10241)]
[New Thread 0x7fff77fff700 (LWP 10242)]
[New Thread 0x7fff777fe700 (LWP 10243)]
Reading sfizz 1 took 392 microseconds, final size = 50
Reading sfizz 2 took 156 microseconds, final size = 4
Reading sfizz 3 took 215 microseconds, final size = 0
[Thread 0x7fffb9ffb700 (LWP 10213) exited]
[Thread 0x7fff77fff700 (LWP 10242) exited]
Butler drops pool trash
[Thread 0x7fffd0170700 (LWP 10224) exited]
[Thread 0x7fff777fe700 (LWP 10243) exited]
[Thread 0x7fffd0248700 (LWP 10223) exited]
[Thread 0x7fffd02c9700 (LWP 10222) exited]
[Thread 0x7fffd034a700 (LWP 10221) exited]
[Thread 0x7fff8c982700 (LWP 10241) exited]
[Thread 0x7fffbaffd700 (LWP 10225) exited]
[Thread 0x7fffd135f900 (LWP 10220) exited]
[Thread 0x7fffd136b900 (LWP 10219) exited]
[Thread 0x7fffd1408900 (LWP 10218) exited]
[Thread 0x7fff8e986700 (LWP 10237) exited]
[Thread 0x7fff8f187700 (LWP 10236) exited]
[Thread 0x7fff8e185700 (LWP 10238) exited]
[Thread 0x7fffb0ff9700 (LWP 10235) exited]
[Thread 0x7fff8d984700 (LWP 10239) exited]
[Thread 0x7fffb17fa700 (LWP 10234) exited]
[Thread 0x7fffb1ffb700 (LWP 10233) exited]
[Thread 0x7fffbbfff700 (LWP 10228) exited]
[Thread 0x7fffb2ffd700 (LWP 10231) exited]
[Thread 0x7fffb3fff700 (LWP 10229) exited]
[Thread 0x7fffb37fe700 (LWP 10230) exited]
[Thread 0x7fffb27fc700 (LWP 10232) exited]
[Thread 0x7fffba7fc700 (LWP 10227) exited]
[Thread 0x7fffd0f41700 (LWP 10226) exited]
[Thread 0x7fff8d183700 (LWP 10240) exited]
[Thread 0x7fffd0450700 (LWP 10209) exited]
[Thread 0x7fffd04d1700 (LWP 10208) exited]
[Thread 0x7fffd1567700 (LWP 10207) exited]
[Thread 0x7fffdaa29700 (LWP 10190) exited]
[Thread 0x7fffd3fff700 (LWP 10191) exited]
[Thread 0x7fffe9ba9700 (LWP 10185) exited]
[Thread 0x7fffdbfff700 (LWP 10188) exited]
[Thread 0x7fffe8ba7700 (LWP 10187) exited]
[Thread 0x7fffe93a8700 (LWP 10186) exited]
[Thread 0x7fffea7cbd40 (LWP 10181) exited]
--Type <RET> for more, q to quit, c to continue without paging--

ardourwlk

2021-01-15 13:57

reporter   ~0025425

I have had trouble in creating a new example of this. One thing which may or may not be relevant: in my problem session, I had been playing with different versions of sfizz, and so there seemed to be a mix at some some point. But I've gone through my tracks and made sure they are all using the "current" version of sfizz, and it still breaks. I changed versions by using a symbolic link in my .lv2 directory, pointing at the appropriate code.

But I have noticed that I can get out of the broken stop button by hitting the "play loop range" button, and then the stop button functions again. I can do that all day long (in this session): play, go to start, try to stop (breaks), play loop, stop, play go to start, try to stop (breaks), etc.

paul

2021-01-18 19:22

administrator   ~0025435

@mikefaille was your last note describing behavior using a session with no audio tracks?

mikefaille

2021-01-22 23:30

reporter   ~0025444

@paul Yes, I just tried using an empty template :

1. Play
2. Go start to session button
3. Stop
3.1 Stop doesn't work !

paul

2021-01-22 23:42

administrator   ~0025445

Yeah, this behavior for an empty session is "well known". Thanks for confirming that. It's not the same issue (I think) as when there are problems with transport in a non-empty session. The main distinction is whether or not there are audio tracks present.

mikefaille

2021-01-23 02:03

reporter   ~0025446

I have it with an audio and/or midi track too !

mikefaille

2021-01-23 02:04

reporter   ~0025447

I could create a video with any combinations if necessary.

paul

2021-01-23 02:15

administrator   ~0025448

I have been unable to replicate the problem other than the situation when there are no tracks/no audio tracks. So that might be useful.

mikefaille

2021-01-24 17:08

reporter   ~0025464

@paul here is the record : https://www.youtube.com/watch?v=QS-rETK0ZwA&feature=youtu.be

ok finally, I was partially right :
1- it doesn't work properly without track (we knew it both)
2- it doesn't work with one or multiple midi track (without audio track)
3- as soon there is a audio track alone or with a midi track, it does work !

I need the 2nd case because I would mainly use Ardour to produce music with a physical piano and I use "Go start to session" button to overwrite when it goes wrong.
Since I use my Piano as midi CC, it's boring to have to go back to my computer to fix Ardour. I wanted to have piano only session with Ardour for my focus.

lminiero

2021-02-15 08:34

reporter   ~0025519

Adding a note as I feel I'm experiencing the same issue, but I noticed it because of problems when using Jack as a transport first, and then noticed that switching to internal clock I got what the OP described.

The issue when using Jack was a bit different: I could start playback the first time, but then hitting stop would indeed stopthe playback but remain stuck on the play icon. Hitting either play or stop again wouldn't do anything, if not after quite some time. Some interactions (e.g., changing application) seemed to "unlock" it from time to time, but any new playback would cause the issue to happen again. This also caused issues trying to record anything: in my specific use case, I had DrumGizmo loaded in Ardour, and Hydrogen driving it externally (with Hydrogen not set as Jack transport master, of course, since I wanted Ardour to be that). Pressing play would indeed result in Hydrogen progressing as expected (after that lock period), and audio being rendered by Ardour, and "stop" would stop them both, but as anticipated the icon in Ardour would remain on play; when recording, I couldn't see anything being recorded in Ardour, and noticed a few "Event time is before MIDI source position" in the logs, probably because it takes some time for the play button to actually react to the click.

As anticipated, since I wanted to check if it was an issue with the Jack clock, I tried switching to the internal clock, and this is where I noticed the same issue described in the OP: in that case, the playback cannot be interrupted. Adding an audio track didn't seem to make any difference when using Jack as a transport (I didn't try with the internal clock, as I need Ardour and Hydrogen to be synchronized).

This is using Ardour 6.5.0-2 as available in the Fedora 33 repos: downgrading to 6.3.0-1 seems to fix the issue, meaning it probably is something in between the two (just in case it helps narrowing down something like a git bisect).

paul

2021-02-15 15:17

administrator   ~0025524

This is already belived fixed. You should be checking the nightly builds from https://nightly.ardour.org/ rather than downgrading. Thanks.

lminiero

2021-02-16 11:12

reporter   ~0025525

Thanks for the heads up, Paul! I didn't know this was fixed already, so by trying an older version I just wanted to provide some info that may help narrow down which commit caused the issue in the first place. I'll make sure to test that and let you know if I'm still encountering the problem.

Issue History

Date Modified Username Field Change
2020-12-08 09:29 mikefaille New Issue
2020-12-08 14:58 x42 Note Added: 0025294
2020-12-08 19:30 MikeRodd75 Note Added: 0025295
2020-12-09 07:55 mikefaille File Added: Screenshot from 2020-12-09 02-52-13.png
2020-12-09 07:55 mikefaille File Added: Screenshot from 2020-12-09 02-54-20.png
2020-12-09 07:55 mikefaille Note Added: 0025296
2020-12-10 00:40 x42 Note Added: 0025299
2020-12-10 09:55 mikefaille Note Added: 0025300
2020-12-13 04:44 martin9845 Note Added: 0025302
2020-12-16 13:47 rozea Note Added: 0025322
2020-12-17 14:41 plimptm Note Added: 0025328
2021-01-05 16:08 paul Assigned To => paul
2021-01-05 16:17 paul Relationship added has duplicate 0008521
2021-01-13 15:04 ardourwlk File Added: ardour_debug_out.20210113.0957.txt
2021-01-13 15:04 ardourwlk Note Added: 0025414
2021-01-15 13:57 ardourwlk Note Added: 0025425
2021-01-18 19:22 paul Status new => feedback
2021-01-18 19:22 paul Note Added: 0025435
2021-01-22 23:30 mikefaille Note Added: 0025444
2021-01-22 23:30 mikefaille Status feedback => assigned
2021-01-22 23:42 paul Note Added: 0025445
2021-01-23 02:03 mikefaille Note Added: 0025446
2021-01-23 02:04 mikefaille Note Added: 0025447
2021-01-23 02:15 paul Note Added: 0025448
2021-01-24 17:08 mikefaille Note Added: 0025464
2021-02-15 08:34 lminiero Note Added: 0025519
2021-02-15 15:17 paul Note Added: 0025524
2021-02-16 11:12 lminiero Note Added: 0025525